/*
Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
For licensing, see LICENSE.html or http://ckeditor.com/license
*/

/**
 * @file Special Character plugin
 */

CKEDITOR.plugins.add( 'arabickb',
{
	// List of available localizations.
	availableLangs : { en:1 },

	init : function( editor )
	{
		var pluginName = 'arabickb',
			plugin = this;

		// Register the dialog.
		CKEDITOR.dialog.add( pluginName, this.path + 'dialogs/arabickb.js' );

		editor.addCommand( pluginName,
			{
				exec : function()
				{
					var langCode = editor.langCode;
					langCode = plugin.availableLangs[ langCode ] ? langCode : 'en';

					CKEDITOR.scriptLoader.load(
							CKEDITOR.getUrl( plugin.path + 'lang/' + langCode + '.js' ),
							function()
							{
								//CKEDITOR.tools.extend( editor.lang.specialChar, plugin.langEntries[ langCode ] );
								editor.openDialog( pluginName );
							});
				},
				modes : { wysiwyg:1 },
				canUndo : false
			});

		// Register the toolbar button.
		editor.ui.addButton( 'arabickb',
			{
				label : 'áæÍÉ ãÝÇÊíÍ ÚÑÈì',
				command : pluginName,
				icon: this.path + 'arabickb.gif'
			});
		

	}
} );

CKEDITOR.config.arabicChars = ['Á','Ç','Ã','Å','Çð','È','Ê','Ë','Ì','Í','Î','Ï','Ð','Ñ','Ò','Ó','Ô','Õ','Ö','Ø','Ù','Ú','Û','Ý','Þ','ß','á','áÅ','áÇ','áÇ','áÃ','ã','ä','å','åÜ','æ','í','Æ',];